net.minecraft.world.gen.structure

## Class ComponentStrongholdChestCorridor

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentStrongholdChestCorridor

-     public class ComponentStrongholdChestCorridor
      extends StructureComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `strongholdChestContents` List of items that Stronghold chests can contain.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentStrongholdChestCorridor()`
    `ComponentStrongholdChestCorridor(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen
    `static ComponentStrongholdChestCorridor` | `findValidPlacement(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `findIntersecting, func_143009_a, func_143010_b, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strongholdChestContents

          public static final WeightedRandomChestContent[] strongholdChestContents

      List of items that Stronghold chests can contain.

  - ### Constructor Detail

    - #### ComponentStrongholdChestCorridor

          public ComponentStrongholdChestCorridor()

    - #### ComponentStrongholdChestCorridor

          public ComponentStrongholdChestCorridor(int par1,
                                          Random par2Random,
                                          StructureBoundingBox par3StructureBoundingBox,
                                          int par4)

  - ### Method Detail

    - #### buildComponent

          public void buildComponent(StructureComponent par1StructureComponent,
                            List par2List,
                            Random par3Random)

      Initiates construction of the Structure Component picked, at the current Location of StructGen
      Overrides:
        `buildComponent` in class `StructureComponent`

    - #### findValidPlacement

          public static ComponentStrongholdChestCorridor findValidPlacement(List par0List,
                                                            Random par1Random,
                                                            int par2,
                                                            int par3,
                                                            int par4,
                                                            int par5,
                                                            int par6)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`